Auth
Approve an external application connection
POST
/external-applications/oauth/authorizeAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/external-applications/oauth/authorize" \ -H "Content-Type: application/json" \ -d '{ "approved": true, "client_id": "string", "code_challenge": "string", "redirect_uri": "string", "scope": "string", "workspace_grants": [ { "workspace_id": "string" } ] }'{ "$schema": "https://example.com/api/v1/schemas/AuthorizeExternalApplicationOutputBody.json", "installation_id": "string", "redirect_url": "string"}